
QGIS Application - Bug report #17230

QGIS Crash after cutting features

2017-10-02 03:04 PM - Vida Krstulovic

Status: Closed

Priority: High

Assignee:

Category: Editing

Affected QGIS version:2.14.18 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: not reproducable

Crashes QGIS or corrupts data:Yes Copied to github as #: 25129

Description

Hi!

I have an issue with my qgis 2.14... I have a point layer I have converted to line layer using Point2one PlugIn, and after the conversion,

which is good, I wanted to cut features, since I wanted to delete line connecting two tracks in shape file. And it crashed.. 

Qgis is now telling me that Point2One PlugIn will be blocked until it is reported..

History

#1 - 2017-10-02 03:07 PM - Giovanni Manghi

- Status changed from Open to Feedback

- Priority changed from Normal to High

Try:

with qgis 2.18

removing any 3rd party plugin

Also:

attach the data

is the editing tool that causes the crash a core one or one from a 3rd party plugin?

#2 - 2017-10-02 03:16 PM - Vida Krstulovic

Will try to do those two things..

with qgis 2.18 

removing any 3rd party plugin

Also:

attach the data --> I can't attach the file since it is part of my job, and I'm not allowed to share it. Sorry.. :)

is the editing tool that causes the crash a core one or one from a 3rd party plugin?
:) :) :) I will say core one.. but, please use it with a reserve.. Since it crashes every time I click on split features.

I have also tried to create a new shape file from the one Point2One created. Again the same problem. It crashes every time I use split features, in editing

mode of the shape file.

#3 - 2017-10-02 03:18 PM - Giovanni Manghi

Vida Krstulovic wrote:

Will try to do those two things..

with qgis 2.18 

removing any 3rd party plugin

Also:

attach the data --> I can't attach the file since it is part of my job, and I'm not allowed to share it. Sorry.. :)

is the editing tool that causes the crash a core one or one from a 3rd party plugin?

:) :) :) I will say core one.. but, please use it with a reserve.. Since it crashes every time I click on split features.

I have also tried to create a new shape file from the one Point2One created. Again the same problem. It crashes every time I use split features, in

editing mode of the shape file.

try the above:

latest 2.18

no 3rd party plugins (you can backup and remove the .qgis2, is even better)

#4 - 2017-10-02 03:20 PM - Vida Krstulovic

OK. Will do that now, and give feedback here what has happened.

Thank you a lot!!

#5 - 2018-02-22 02:54 PM - Giovanni Manghi

- Resolution set to not reproducable

- Status changed from Feedback to Closed

Closing for lack of feedback, please reopen if necessary.
